import expyriment
block = 1
dur = 1000 # Z = 122, M = 109
Int = 'Press Z if appear rectangle-circle, and M if circle-rectangle, \n \
            \n if you are ready, press SPACE'
expyriment.io.defaults.outputfile_time_stamp = False
exp = expyriment.design.Experiment(name="First_Ex")
canvas = expyriment.stimuli.Canvas(size=(500,500))
expyriment.control.initialize(exp)
#block1
block_one = expyriment.design.Block(name="1")
trial_one = expyriment.design.Trial()
stim1 = expyriment.stimuli.Rectangle([150,150], position = [-100,0], colour = expyriment.misc.constants.C_YELLOW)
stim1.plot(canvas)
stim2 = expyriment.stimuli.Circle(radius = 100, position = [100,0], colour = expyriment.misc.constants.C_GREEN)
stim2.plot(canvas)
trial_one.add_stimulus(canvas)
corr_res = 122
label_id = 'rectangle-circle'
trial_two = expyriment.design.Trial()
stim2 = expyriment.stimuli.Circle(radius = 100, position = [100,0], colour = expyriment.misc.constants.C_GREEN)
stim2.plot(canvas)
stim3 = expyriment.stimuli.Rectangle([150,150], position = [-100,0], colour = expyriment.misc.constants.C_GREEN)
stim3.plot(canvas)
trial_two.add_stimulus(canvas)
corr_res = 109
label_id = 'rectangle-circle'
trial_three = expyriment.design.Trial()
stim3 = expyriment.stimuli.Rectangle([150,150], position = [-100,0], colour = expyriment.misc.constants.C_GREEN)
stim3.plot(canvas)
stim4 = expyriment.stimuli.Circle(radius = 100, position = [100,0], colour = expyriment.misc.constants.C_YELLOW)
stim4.plot(canvas)
trial_three.add_stimulus(canvas)
corr_ress = 122
label_id = 'rectangle-circle'
trial_four = expyriment.design.Trial()
stim5 = expyriment.stimuli.Circle(radius = 100, position = [100,0], colour = expyriment.misc.constants.C_YELLOW)
stim5.plot(canvas)
stim6 = expyriment.stimuli.Rectangle([150,150], position = [-100,0], colour = expyriment.misc.constants.C_YELLOW)
stim6.plot(canvas)
trial_four.add_stimulus(canvas)
corr_res = 109
label_id = 'circle-rectangle'
block_one.add_trial(trial_one)
block_one.add_trial(trial_two)
block_one.add_trial(trial_three)
block_one.add_trial(trial_four)
block_one.shuffle_trials()
exp.add_block(block_one)

expyriment.control.start(skip_ready_screen=True)

fixation_cross = expyriment.stimuli.FixCross()
fixation_cross.preload()

expyriment.stimuli.TextScreen("Switch_Task", Int).present()
exp.keyboard.wait(expyriment.misc.constants.K_SPACE)

for block in exp.blocks:
    for trial in block.trials:
        trial.stimuli[0].preload()
        fixation_cross.present()
        exp.clock.wait(dur)
        trial.stimuli[0].present()
        #canvas.present()
        exp.clock.reset_stopwatch()
        key, rt = exp.keyboard.wait(keys=[expyriment.misc.constants.K_m,
                                    expyriment.misc.constants.K_z])
        #exp.clock.wait(dur - exp.clock.stopwatch_time)
expyriment.control.end()
